# vim: set ts=4 sw=4 et:

Name:           ldvd
Summary:        Video-DVD backup tool with GUI
License: GPL-2.0
Group:          Productivity/Multimedia/Video/Editors and Convertors
URL:            http://ldvd.sourceforge.net/
Version:        2.0.2
Release:        pm152.9.7
Source0:        ldvd-2.0.2.tar.bz2
Source1:        ldvd.desktop
Patch0:         ldvd-ls-sprint-nullbyte.diff
Patch1:         ldvd-lang.diff
Patch2:         ldvd-port_to_gtk2.patch
Vendor:         Packman
Requires:       buffer
Requires:       perl
Requires:       perl-Gtk2
Requires:       transcode
Requires:       dvdauthor
Requires:       mkisofs
Requires:       dvd+rw-tools
Requires:       mjpegtools
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(dvdread)

%description
A tool to make backups from a Video-DVD with GUI.

%prep
%setup -q
%patch0
%patch1
%patch2

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CPPFLAGS="$RPM_OPT_FLAGS"
%make_build

%install
%make_install PREFIX=%{_prefix}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/applications/
%suse_update_desktop_file -i %{name}        AudioVideo AudioVideoEditing

%files
%doc README.*
%license COPYING
%{_bindir}/*
%{_datadir}/%{name}-%{version}
%{_datadir}/applications/%{name}.desktop
%config(noreplace) %{_sysconfdir}/%{name}.conf

%changelog
* Fri Dec 26 2014 obs@botter.cc
- Require genisoimage for >= 1210, for older versions
  Require /usr/bin/mkisofs instead of just mkisofs [PM-115]
* Wed Mar  7 2012 p.seiler@linuxmail.org
- Written patch that the tool works with openSUSE 12.1 and later
  Changed mkisofs to genisoimage
  genisoimage should have the same syntax as mkisofs
* Sun Apr  3 2011 pascal.bleser@opensuse.org
- port to Gtk2, hopefully fixes BNC#684732
* Thu Sep 10 2009 Manfred.Tremmel@iiv.de
- cleanups where rpmlint wasn't so happy
* Fri Mar 24 2006 Manfred.Tremmel@iiv.de
- patch for reading the language files from the right place
* Thu Mar 23 2006 Manfred.Tremmel@iiv.de
- update to 2.0.2
* Wed Mar 22 2006 Manfred.Tremmel@iiv.de
- patches for libdvdread 0.9.5
* Tue Oct 11 2005 Manfred.Tremmel@iiv.de
- added a patch to solve buffer overflow in SUSE 10.0
* Mon Jul 18 2005 Manfred.Tremmel@iiv.de
- update to 2.0.1
* Tue Jun 28 2005 Manfred.Tremmel@iiv.de
- first Packman build
* Thu Jan  6 2005 rainer@links2linux.de
- Initial build.
